Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I can not install the firefox for android from the android market. It is showing me that the app is incompatible with my device. Mine is LG P500 with version Froto 2.2.2. Any help ?

  • 1 reply
  • 16 have this problem
  • 1 view
  • Last reply by mluna

more options

I can not install the firefox for android from the android market. It is showing me that the app is incompatible with my device and no other information is provided. I am not sure whats the problem with that ! Is it incompatible with the device or the android version ? Mine is LG P500 with version Froyo 2.2.2. Any help ?

I was waiting to surf web with firefox from my phone for a long time. can anyone please let me know any known solution to it.

All Replies (1)

more options

The mobile version of Firefox for Android requires a processor that supports the ARMv7 architecture, the LG Optimus P500 does not meet that requirement, it supports the ARMv6 architecture.